org.apache.ignite.internal.processors.platform.cache.query

## Class PlatformContinuousQueryProxy

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.query.PlatformContinuousQueryProxy

All Implemented Interfaces:
  PlatformTarget

    public class PlatformContinuousQueryProxy
    extends PlatformAbstractTarget

Proxy that implements PlatformTarget.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformContinuousQueryProxy(PlatformContext platformCtx, PlatformContinuousQuery qry)` Constructor.

### Method Summary

Methods
`Object` `outObject(int type)` Operation returning object result.
`long` `processInLongOutLong(int type, long val)` Process IN operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFuture, futureWriter, inLongOutLong, inObjectStreamOutObjectStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureForOperation, outStream, platformContext, processInObjectStreamOutObjectStream, processInStreamOutLong, processInStreamOutLong, processInStreamOutObject, processInStreamOutStream, processOutObject, processOutStream, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformContinuousQueryProxy

    public PlatformContinuousQueryProxy(PlatformContext platformCtx,
                                PlatformContinuousQuery qry)

Constructor.

Parameters:
  `platformCtx` - Context.

### Method Detail

#### outObject

    public Object outObject(int type)
                     throws Exception

Operation returning object result.

Specified by:
  `outObject` in interface `PlatformTarget`
Overrides:
  `outObject` in class `PlatformAbstractTarget`
Parameters:
  `type` - Operation type.
Returns:
  Result.
Throws:
  `Exception` - If failed.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                            long val)
                              throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016